MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002350VCMIAI - Adventure Mappublic2015-12-15 10:252016-09-12 02:47
ReporterSXX 
Assigned ToSXX 
PrioritynormalSeveritycrashReproducibilityrandom
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.98e 
Target VersionFixed in Version0.99 
Summary0002350: AI may sometimes attempt to visit invalid boat object
DescriptionProblem occur that for some reason "validateVisitableObjs" called from VCAI::getPossibleDestinations don't remove boat object as it's kind a valid even if it's position completely messed up.

I'm attempted to reproduce it myself with normal client, but wasn't successful yet. E.g I have feeling that problem may occur because when hero in boat killed only "objectRemoved" for hero only getting sent, but that not explain why validateVisitableObjs not remove it as it's shouldn't be in gamestate anyway.
TagsNo tags attached.
Attached Filestxt file icon crash_11111.txt [^] (1,970 bytes) 2015-12-16 22:39 [Show Content]
txt file icon crash_11112.txt [^] (2,492 bytes) 2015-12-16 22:44 [Show Content]
7z file icon CRASH_SAVE_noncopyableBonusSystemNode.7z [^] (1,434,185 bytes) 2015-12-16 22:45

- Relationships
related to 0002158closedAVS I can't load save 

-  Notes
(0006180)
SXX (administrator)
2015-12-16 22:41

So here is trace of that crash in "crash_11111.txt". It's for teleporter, but as far as I can tell what happen with boat is exactly same issue.

Also it's end up that first time when issue occur game crash on AI turn, but often when loading from save game start to crash on save serialization after AI turn is finished. Ivan also confirmed that saves get's corrupted.
(0006181)
SXX (administrator)
2015-12-16 22:43

Just in case these crashes occur with "noncopyableBonusSystemNode" branch:
https://github.com/vcmi/vcmi/pull/148 [^]
So it's not simply issue related to bonuses, but there is likely something wrong happen in serialization or AI.
(0006182)
SXX (administrator)
2015-12-16 22:47

Also I do have save files for these crashes, but they're only for noncopyableBonusSystemNode branch for commit d2341b9745eee9e271885a2524f6a12bde817e0d. It's also recommended to merge develop into it at least up to commit 9490a5d66d3d2506948521ffe91d6b844c254320.

Uploaded "CRASH_SAVE_noncopyableBonusSystemNode.7z".
(0006618)
SXX (administrator)
2016-09-04 12:50

Should be now fixed:

https://github.com/vcmi/vcmi/commit/8e94b1c4d2f8b707dbbc50b9849cbdf2b3a3f901 [^]

- Issue History
Date Modified Username Field Change
2015-12-15 10:25 SXX New Issue
2015-12-15 10:25 SXX Status new => assigned
2015-12-15 10:25 SXX Assigned To => Warmonger
2015-12-16 22:39 SXX File Added: crash_11111.txt
2015-12-16 22:41 SXX Note Added: 0006180
2015-12-16 22:43 SXX Note Added: 0006181
2015-12-16 22:44 SXX File Added: crash_11112.txt
2015-12-16 22:45 SXX File Added: CRASH_SAVE_noncopyableBonusSystemNode.7z
2015-12-16 22:47 SXX Note Added: 0006182
2016-01-14 06:11 SXX Relationship added related to 0002374
2016-01-14 06:16 SXX Assigned To Warmonger => SXX
2016-01-19 22:07 SXX Relationship deleted related to 0002374
2016-09-04 12:50 SXX Note Added: 0006618
2016-09-04 12:50 SXX Status assigned => resolved
2016-09-04 12:50 SXX Fixed in Version => 0.99
2016-09-04 12:50 SXX Resolution open => fixed
2016-09-12 02:47 SXX Relationship added related to 0002158

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean